Closed

Fix Bug in Python Program

There is an error in the code that we think has to do with the old API (link - [login to view URL]) we are using being outdated and as a result Instagram's host denying service. We either want to create a mashup with the newer API (the newer API is updated), or rewrite the program altogether using the new API url link - [login to view URL] The file with the bug is attatched below. Here is a snippet of the error we receive:

Request return 404 error!

2018-06-13 01:09:11,778 - INFO - Added code from group 20k+ Only Food with url

2018-06-13 01:09:12,132 - ERROR - [login to view URL] raised in main loop. Delaying 5 seconds and retrying.

Traceback (most recent call last):

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\[login to view URL]", line 302, in _error_catcher

yield

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\[login to view URL]", line 384, in read

data = [login to view URL](amt)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\http\[login to view URL]", line 449, in read

n = [login to view URL](b)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\http\[login to view URL]", line 493, in readinto

n = [login to view URL](b)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\[login to view URL]", line 586, in readinto

return self._sock.recv_into(b)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\[login to view URL]", line 1009, in recv_into

return [login to view URL](nbytes, buffer)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\[login to view URL]", line 871, in read

return [login to view URL](len, buffer)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\[login to view URL]", line 631, in read

v = [login to view URL](len, buffer)

ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\site-packages\requests\[login to view URL]", line 745, in generate

for chunk in [login to view URL](chunk_size, decode_content=True):

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\[login to view URL]", line 436, in stream

data = [login to view URL](amt=amt, decode_content=decode_content)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\[login to view URL]", line 401, in read

raise IncompleteRead(self._fp_bytes_read, self.length_remaining)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\[login to view URL]", line 99, in __exit__

[login to view URL](type, value, traceback)

File "C:\Users\cesar\AppData\Local\Programs\Python\Python36\lib\site-packages\urllib3\[login to view URL]", line 320, in _error_catcher

raise ProtocolError('Connection broken: %r' % e, e)

[login to view URL]: ("Connection broken: ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None)", ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File ".\[login to view URL]", line 297, in main

codes = getCodesv2(threads, codes)

File ".\[login to view URL]", line 218, in getCodesv2

[login to view URL](thread_id, message["item_id"])

File "C:\Users\cesar\OneDrive\Desktop\Instagram-API-python\InstagramAPI\[login to view URL]", line 810, in markItemSeen

return [login to view URL](endpoint, [login to view URL](data))

Skills: Javascript, Linux, PHP, Python, Software Architecture

See more: freelancer fix bug partime, freelancer fix bug, phpbb mass email fix bug, python 3.7 issues, how to report bugs effectively, bug reporting, how to report a bug, python bugs, python code, python bug tracking software, python developer guide, php, software architecture, python, javascript, linux, api, fix bug acsent, help writing python program enter payroll information, fix bug javascript

About the Employer:
( 0 reviews ) United States

Project ID: #17166368

26 freelancers are bidding on average $468 for this job

meet2amitvw

i am having some technical question on this so let me know when you get time to discuss on this and clear the doubts. Let's discuss more about project to understand the bugs also finalise the scope with estimated c More

$722 USD in 10 days
(165 Reviews)
9.3
waema

I have written many bots including instagram bots . I can deliver this. If i can see the code and run it i can get to the bottom of the problem. let me know once back

$500 USD in 10 days
(192 Reviews)
7.4
$555 USD in 10 days
(51 Reviews)
6.9
widadsaghir1993

Hello sir. Nice to meet you. I am a python expert so i can help you well. as you can see my profile, i have many good experiences in python fields. I am ready for your project always. And if you hire me , you will More

$555 USD in 10 days
(72 Reviews)
6.6
hunmin888

hi, sir. i am a python expert. so if you give me this project, i can fix the errors. if you are interest me, ping me kindly. thanks.

$555 USD in 10 days
(45 Reviews)
6.4
schoudhary1553

Hello, I can help with you in your project Python Program. I have more than 5 years of experience in Javascript, Linux, PHP, Python, Software Architecture. We have worked on several similar projects before! We have More

$555 USD in 10 days
(48 Reviews)
5.9
$555 USD in 10 days
(60 Reviews)
6.1
DigitalRace

Hi, Dear Client! I am an expert in Python and it is piece of cake for me. So I can complete in strict deadline. Looking forward to hearing from you soon.

$555 USD in 10 days
(38 Reviews)
5.5
SilentStarMagic

Hi, I am an experienced programmer and I'm sure I can complete your project asap. Please contact me and tell about your project details. I promise a high quality and punctual work. Thanks. Fix Bug in Python Program More

$555 USD in 4 days
(19 Reviews)
5.3
skfaroo123

Dear? Thank you for reading my proposal. I’ve double-checked your job posting carefully and want to work with you. I am the best freelancer for this project on Upwork. Why? Firstly, the skills for this proje More

$555 USD in 10 days
(19 Reviews)
5.6
dungforever

Greetings. Thanks for your kind job posting. As an experienced and talented software developer, I have rich experiences with python programming. I can help you, and turn it in on time. I hope your kind contact to More

$250 USD in 3 days
(23 Reviews)
4.9
WIFTCAP

Hi !! Nice to E-meet you We have a team of experienced python, django developers. We have developed a sophisticated trading platform ([login to view URL]) using python, django, postgresql. Our python/django de More

$300 USD in 7 days
(10 Reviews)
4.2
pkotlyarov1988

Hello. I have a lot of experience with Python. Can provide link to my github with examples of source code in chat.

$300 USD in 10 days
(7 Reviews)
4.1
rakesh4devop

Hi, I have 8years experience in design and development industry. i will do this task. thanks, Rakesh sharma

$444 USD in 10 days
(3 Reviews)
3.6
$555 USD in 10 days
(11 Reviews)
3.4
sowrabhnayak

i am an experienced python developer familiar with the instagram API. I deliver quick and quality results. Thank you

$250 USD in 1 day
(9 Reviews)
3.2
ajaykumarsriniva

Hi I have an experience in python and also i have completed various projects for several clients in python, django framework, Social API so i can surely make you as expected output.

$250 USD in 2 days
(4 Reviews)
2.9
$555 USD in 10 days
(4 Reviews)
3.0
$250 USD in 3 days
(2 Reviews)
2.6
PriyeshRaj17

Hi there, I have over 9 years of experience in developing high quality softwares and web applications in Python and Django framework . I possess excellent debugging skills and I feel I can help you achieve the fix you More

$388 USD in 5 days
(1 Review)
2.4